Skip to main content
GET
/
api
/
v1
/
sandbox
/
expose
/
all
List All Exposed Ports Endpoint
curl --request GET \
  --url https://api.primeintellect.ai/api/v1/sandbox/expose/all \
  --header 'Authorization: Bearer <token>'
{
  "exposures": [
    {
      "exposure_id": "<string>",
      "sandbox_id": "<string>",
      "port": 123,
      "name": "<string>",
      "url": "<string>",
      "tls_socket": "<string>",
      "protocol": "<string>",
      "external_port": 123,
      "external_endpoint": "<string>",
      "created_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Rate Limit

60 requests per 60 seconds per IP and token.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful Response

exposures
ExposedPortInfo · object[]
required